from app import ma
from database.models import *
from marshmallow.validate import Length, Range


class UsersSchema(ma.Schema):
    full_name = ma.fields.Str(required=True, validate=Length(max=255))
    email = ma.fields.Email(required=True, validate=Length(max=255))
    password = ma.fields.Str(validate=Length(max=255))
    gender = ma.fields.Integer(required=True, validate=Range(min=1, max=2))
    mobile = ma.fields.Str(required=True, validate=Length(max=13))
    user_image = ma.fields.Str(validate=Length(max=255))
    user_type = ma.fields.Integer(required=True, validate=Range(min=1, max=2))
    lang_type = ma.fields.Integer(required=True, validate=Range(min=1, max=2))
    device_type = ma.fields.Integer(required=True, validate=Range(min=1, max=2))
    device_id = ma.fields.Str(required=True)

    class Meta:
        model = Users
        include_fk = True


class CitiesSchema(ma.Schema):
    class Meta:
        model = Cities
        include_fk = True


class GamesSchema(ma.Schema):
    class Meta:
        model = Games
        include_fk = True


class PlayerAvailabilitiesSchema(ma.Schema):
    class Meta:
        model = PlayerAvailabilities
        include_fk = True


class PlayerCancelGamesSchema(ma.Schema):
    class Meta:
        model = PlayerCancelGames
        include_fk = True


class PurchaseGamesSchema(ma.Schema):
    class Meta:
        model = PurchaseGames
        include_fk = True


class SportsSchema(ma.Schema):
    class Meta:
        model = Sports
        include_fk = True


class TeamsSchema(ma.Schema):
    class Meta:
        model = Teams
        include_fk = True


class UserRatingsSchema(ma.Schema):
    class Meta:
        model = UserRatings
        include_fk = True


class VenueImagesSchema(ma.Schema):
    class Meta:
        model = VenueImages
        include_fk = True


class VenuesSchema(ma.Schema):
    class Meta:
        model = Venues
        include_fk = True


class ViewNewsSchema(ma.Schema):
    class Meta:
        model = ViewNews
        include_fk = True


class WebBookingsSchema(ma.Schema):
    class Meta:
        model = WebBookings
        include_fk = True
